petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinaryWriteStringArray

writes to a binary file, only from the first process an array of strings

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWriteStringArray(PetscViewer viewer,const char * const *data)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location of the array of strings

### Notes

array of strings is null terminated

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages